/*
    JS da página de listagem de banners
    Author: Luís Dalmolin <luis@escape.ppg.br>
 */

(function() {
    window.App = window.App || {};

    App.Manager = App.Manager || {};

    App.Manager.Banners = {
        init: function() {
            this.fetchElements();
            this.bindUIEvents();
            this.validate();
        },

        fetchElements: function() {
            this.$bannerGroupId  = $('#banner_group_id');
            this.$boxBannerSizes = $('.js-banner-sizes');
        },

        bindUIEvents: function() {
            var _this;
            _this = this;

            this.$bannerGroupId.on('change', function(e) {
                _this.showBannerSizes($(this).val());
            }).trigger('change');
        },

        showBannerSizes: function(banner_group_id) {
            var _this;
            _this = this;

            $.get('/manager/banners/sizes/' + banner_group_id, function(result) {
                _this.$boxBannerSizes.html('Largura: <strong>' + result.default.width + 'px</strong> - Altura: <strong>' + result.default.height + 'px</strong>');
            });
        },

        validate: function() {
            $('#form-banner').validate({
                rules: {
                    'title': { required: true }
                }, submitHandler: function(form) {
                    $(form).find('[data-loading-text]').button('loading');
                    form.submit();
                }
            })
        }
    }

    App.Manager.Banners.init();
})();
