/*
    JS da página de listagem de banners
    Author: Luís Dalmolin <luis@escape.ppg.br>
 */

(function() {
    window.App = window.App || {};

    App.Manager = App.Manager || {};

    App.Manager.Banners = {
        init: function() {
            this.listenEvents();
            this.initSortable();
        }, 

        listenEvents: function() {
            var _this = this;

            $('.js-update-active').on('change', function(e) {
                _this.updateActive($(this));
            });
        }, 

        updateActive: function($banner) {
            var _this  = this, 
                id     = $banner.data('id'), 
                active = $banner.prop('checked') ? 1 : 0;

            $banner.prop('disabled', true)

            $.post('/manager/banners/'+id+'/active', {
                _method: 'put', 
                active: active
            }, function(result) {
                $banner.prop('disabled', false)
            });
        }, 

        initSortable: function() {
            var _this = this;

            $('.sortable').sortable({
                update: function(e, ui) {
                    _this.updateOrders();
                }
            });
        }, 

        updateOrders: function() {
            var $thumbs, order;
            order   = 0;
            $thumbs = $('.sortable').find('tr');
            
            $thumbs.each(function(e) {
                var $this, id;
                $this = $(this);
                id    = $this.data('id');
                order++;
                
                $.post('/manager/banners/' + id + '/order', {
                    '_method': 'put',
                    'order': order
                });
            });
        }
    }

    App.Manager.Banners.init();
})();