<?php namespace Escapework\Manager\Banners\Providers;

use EscapeWork\Manager\Banners\Commands\ConfigureCommand;
use Illuminate\Support\ServiceProvider;

class ManagerBannersServiceProvider extends ServiceProvider
{

	/**
	 * Indicates if loading of the provider is deferred.
	 *
	 * @var bool
	 */
	protected $defer = false;

	/**
	 * Bootstrap the application events.
	 *
	 * @return void
	 */
	public function boot()
	{
        $this->package('escapework/manager-banners', 'manager-banners', realpath(__DIR__ . '/../../../../'));

        require_once(__DIR__ . '/../../../../routes.php');
	}

	/**
	 * Register the service provider.
	 *
	 * @return void
	 */
	public function register()
	{
        $this->app->bind('EscapeWork\Manager\Banners\Repositories\Banner\BannerRepository', 'EscapeWork\Manager\Banners\Repositories\Banner\EloquentBannerRepository');
        $this->app->bind('EscapeWork\Manager\Banners\Repositories\BannerGroup\BannerGroupRepository', 'EscapeWork\Manager\Banners\Repositories\BannerGroup\EloquentBannerGroupRepository');

        $this->registerCommands();
	}

	protected function registerCommands()
    {
        $this->app['command.manager.banners.configure'] = $this->app->share(function($app)
        {
            return new ConfigureCommand;
        });

        $this->commands('command.manager.banners.configure');
    }

    public function provides()
    {
        return array('command.manager.banners.configure');
    }

}
