<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddGroupIdToBannersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('banners', function(Blueprint $table)
		{
			$table->integer('banner_group_id')->unsigned()->after('id')->default(1);
            $table->foreign('banner_group_id')->references('id')
                                              ->on('banner_groups')
                                              ->onDelete('restrict')
                                              ->onUpdate('restrict');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('banners', function(Blueprint $table)
		{
			$table->dropForeign('banners_banner_group_id_foreign');
            $table->dropColumn('banner_group_id');
		});
	}

}