<?php
/*
|--------------------------------------------------------------------------
| Rotas do pacote escapework/manager-banners
|--------------------------------------------------------------------------
*/

Route::group(array('prefix' => Config::get('manager::url')), function()
{
    Route::group(array('before' => 'manager.auth'), function()
    {
        Route::get('banners', array('as' => 'manager.banners.index', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@index'));
        Route::get('banners/create', array('as' => 'manager.banners.create', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@create'));
        Route::post('banners', array('as' => 'manager.banners.store', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@store'));
        Route::get('banners/{id}/edit', array('as' => 'manager.banners.edit', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@edit'));
        Route::put('banners/{id}', array('as' => 'manager.banners.update', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@update'));
        Route::put('banners/{id}/active', array('as' => 'manager.banners.updateActive', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@updateActive'));
        Route::put('banners/{id}/order', array('as' => 'manager.banners.updateOrder', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@updateOrder'));
        Route::delete('banners/{id}', array('as' => 'manager.banners.destroy', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@destroy'));
        Route::get('banners/sizes/{banner_group_id}', array('as' => 'manager.banners.sizes', 'uses' => 'EscapeWork\Manager\Banners\Controllers\BannerController@sizes'));
    });
});
