@extends('manager::layouts.master')

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li class="active">Banners</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Banners</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            @if (Check::can('banners', 'create'))
                <a href="{{ route('manager.banners.create', array('banner_group_id' => Input::get('banner_group_id'))) }}" class="btn btn-primary">Inserir novo banner</a>
            @endif
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    {{ Msg::getAll() }}

    @if (Check::can('banners', 'read'))
        <form action="{{ route('manager.banners.index') }}" class="well form-inline" method="get" id="form-search">
            <label class="pull-left">
                <select name="banner_group_id" id="banner_group_id">
                    <option value="">Grupo dos banners</option>
                    {{ $bannerGroup->HTMLOptions(Input::get('banner_group_id')) }}
                </select>&nbsp;
            </label>

            <div class="pull-left">
                <button type="submit" class="btn btn-primary"><i class="icon-search icon-white"></i> Buscar</button>

                <a class="btn btn-primary" href="{{ route('manager.banners.index') }}">
                    Limpar filtros
                </a>
            </div>

            <div class="clearfix"></div>
        </form>

        <p>Arraste os banners para alterar a ordem em que serão exibidos.</p>

        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th></th>
                    <th></th>
                    <th>Banner</th>
                    <th>Grupo</th>
                    <th>Ativo</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody class="sortable">
                @foreach ($banners as $banner)
                    <tr data-id="{{ $banner->id }}">
                        <td style="text-align: center; vertical-align: middle; cursor: move"><i class="icon-move"></i></td>
                        <td><img src="{{ asset($banner->getUrl() . '/thumb-' . $banner->banner) }}" alt="{{ $banner->title }}" style="height: 30px" /></td>
                        <td>{{ $banner->title }}</td>
                        <td>{{ $banner->group->title }}</td>
                        <td><input type="checkbox" value="1" data-id="{{ $banner->id }}" class="js-update-active" {{ $banner->active ? 'checked="checked"' : null }} /></td>
                        <td>
                            <div class="btn-group">
                                @if (Check::can('banners', 'update'))
                                    <a href="{{ route('manager.banners.edit', $banner->id) }}" class="btn btn-small" title="Editar">
                                        <i class="icon-pencil"></i> editar
                                    </a>
                                @endif

                                @if (Check::can('banners', 'destroy'))
                                    <a href="{{ route('manager.banners.destroy', $banner->id) }}" class="btn btn-small" data-delete title="Excluir">
                                        <i class="icon-trash"></i> excluir
                                    </a>
                                @endif
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    @endif
@stop

@section('scripts')
    @parent

    <script src="/packages/escapework/manager-banners/assets/js/banners/index.js"></script>
@stop
